### Method

# Gtk Gesture get_last_event

#### Declaration [src]

    GdkEvent*
    gtk_gesture_get_last_event (
      GtkGesture* gesture,
      GdkEventSequence* sequence
    )

#### Description [src]

Returns the last event that was processed for `sequence`.

Note that the returned pointer is only valid as long as the `sequence` is still interpreted by the `gesture`. If in doubt, you should make a copy of the event.

#### Parameters

`sequence`

  Type: `GdkEventSequence`

  A `GdkEventSequence`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GdkEvent`

The last event from `sequence`.

The returned data is owned by the instance.
The return value can be `NULL`.